using System;

internal sealed class Delegate717 : MulticastDelegate
{
	public extern void Invoke(object object_0, byte[] byte_0, int int_0, int int_1);

	public static void smethod_0(object object_0, byte[] byte_0, int int_0, int int_1, Delegate717 delegate717_1)
	{
		delegate717_1(object_0, byte_0, int_0, int_1);
	}

	public extern Delegate717(object object_0, IntPtr intptr_0);

	static Delegate717()
	{
		Class10.smethod_13(typeof(Delegate717).TypeHandle);
	}

	internal static Delegate717 delegate717_0;
}
